Subject: Re: auto gc again

From: Jens Axboe <[email-masked]>
Date: Tue, 18 Mar 2008 19:39:07 +0100

On Tue, Mar 18 2008, Linus Torvalds wrote:
> 
> 
> On Tue, 18 Mar 2008, Jens Axboe wrote:
> > 
> > axboe@carl:~/git/linux-2.6-block> git count-objects
> > 901 objects, 6448 kilobytes
> 
> The default auto-gc threshold is 6700 objects. You should *not* be even 
> close to hitting it.
> 
> But there's a 20-pack pack-limit. Do you have lots of pack-files? But you 
> can disable that one with
> 
> 	[gc]
> 		autopacklimit = 0
> 
> and I do think the default might be a bit low.

I let gc run last time to get rid of the complaint, so I cannot answer
that question. It's probably the pack limit if that is newer, since the
object count was so low.

But you never answer the question on whether you really consider any
form of autopacking or auto gc sane? Next time some other limit is added
for auto gc, it'll be annoying once more.

-- 
Jens Axboe